diff -ur nagios-2.5.original/html/docs/stalking.html nagios-2.5/html/docs/stalking.html
--- nagios-2.5.original/html/docs/stalking.html	2003-10-16 00:49:23.000000000 +0100
+++ nagios-2.5/html/docs/stalking.html	2006-09-13 20:45:14.729684762 +0100
@@ -15,11 +15,9 @@
 
 <body bgcolor="#FFFFFF" text="black" class="Default">
 
-<p>
 <div align="center">
 <h2 class="PageTitle">State Stalking</h2>
 </div>
-</p>
 
 <hr>
 
@@ -43,26 +41,24 @@
 If you enable stalking for one or more states of a particular host or service, Nagios will log the results of the host or service check if the output from the check differs from the output from the previous check.  Take the following example of eight consecutive checks of a service:
 </p>
 
-<p>
 <table border="1" class="Default">
 <tr><td><b>Service Check #:</b></td><td><b>Service State:</b></td><td><b>Service Check Output:</b></td></tr>
 <tr><td>x</td><td>OK</td><td>RAID array optimal</td></tr>
 <tr><td>x+1</td><td>OK</td><td>RAID array optimal</td></tr>
 <tr><td>x+2</td><td>WARNING</td><td>RAID array degraded (1 drive bad, 1 hot spare rebuilding)</td></tr>
 <tr><td>x+3</td><td>CRITICAL</td><td>RAID array degraded (2 drives bad, 1 host spare online, 1 hot spare rebuilding)</td></tr>
-<tr><td>x+4</td><td>CRIICAL</td><td>RAID array degraded (3 drives bad, 2 hot spares online)</td></tr>
+<tr><td>x+4</td><td>CRITICAL</td><td>RAID array degraded (3 drives bad, 2 hot spares online)</td></tr>
 <tr><td>x+5</td><td>CRITICAL</td><td>RAID array failed</td></tr>
 <tr><td>x+6</td><td>CRITICAL</td><td>RAID array failed</td></tr>
 <tr><td>x+7</td><td>CRITICAL</td><td>RAID array failed</td></tr>
 </table>
-</p>
 
 <p>
 Given this sequence of checks, you would normally only see two log entries for this catastrophe.  The first one would occur at service check x+2 when the service changed from an OK state to a WARNING state.  The second log entry would occur at service check x+3 when the service changed from a WARNING state to a CRITICAL state.
 </p>
 
 <p>
-For whatever reason, you may like to have the complete history of this catasrophe in your log files.  Perhaps to help explain to your manager how quickly the situation got out of control, perhaps just to laugh at over a couple of drinks at the local pub, whatever...
+For whatever reason, you may like to have the complete history of this catastrophe in your log files.  Perhaps to help explain to your manager how quickly the situation got out of control, perhaps just to laugh at over a couple of drinks at the local pub, whatever...
 </p>
 
 <p>
@@ -93,6 +89,13 @@
 You can enable state stalking for hosts and services by using the <i>stalking_options</i> directive in <a href="configobject.html">host and service definitions</a>.
 </p>
 
+<p>
+<strong><u>How Does This Differ From Volatile Services?</u></strong>
+</p>
+
+<p>
+<a href="volatileservices.html">Volatile services</a> are similar, but will cause notifications and event handlers to run. Stalking is purely for logging purposes.
+</p>
 
 <p>
 <strong><u>Caveats</u></strong>
@@ -103,7 +106,7 @@
 </p>
 
 <p>
-As a general rule, I would suggest that you <i>not</i> enable stalking for hosts and services without thinking things through.  Still, its there if you need and want it.
+As a general rule, I would suggest that you <i>not</i> enable stalking for hosts and services without thinking things through.  Still, it's there if you need and want it.
 </p>
 
 
diff -ur nagios-2.5.original/html/docs/volatileservices.html nagios-2.5/html/docs/volatileservices.html
--- nagios-2.5.original/html/docs/volatileservices.html	2005-12-14 16:51:03.000000000 +0000
+++ nagios-2.5/html/docs/volatileservices.html	2006-09-13 20:33:51.796444734 +0100
@@ -15,11 +15,9 @@
 
 <body bgcolor="#FFFFFF" text="black" class="Default">
 
-<p>
 <div align="center">
 <h2 class="PageTitle">Volatile Services</h2>
 </div>
-</p>
 
 <hr>
 
@@ -39,12 +37,10 @@
 Volatile services are useful for monitoring...
 </p>
 
-<p>
 <ul>
 <li>things that automatically reset themselves to an "OK" state each time they are checked
 <li>events such as security alerts which require attention every time there is a problem (and not just the first time)
 </ul>
-</p>
 
 <p>
 <strong><u>What's So Special About Volatile Services?</u></strong>
@@ -54,19 +50,21 @@
 Volatile services differ from "normal" services in three important ways.  <i>Each time</i> they are checked when they are in a <a href="statetypes.html">hard</a> non-OK state, and the check returns a non-OK state (i.e. no state change has occurred)...
 </p>
 
-<p>
 <ul>
 <li>the non-OK service state is logged
-<li>contacts are notified about the problem (if that's <a href="notifications.html">what should be done</a>)
+<li>contacts are notified about the problem (if that's <a href="notifications.html">what should be done</a>. Note: notification_interval is ignored)
 <li>the <a href="eventhandlers.html">event handler</a> for the service is run (if one has been defined)
 </ul>
-</p>
 
 <p>
 These events normally only occur for services when they are in a non-OK state and a hard state change has just occurred.  In other words, they only happen the first time that a service goes into a non-OK state.  If future checks of the service result in the same non-OK state, no hard state change occurs and none of the events mentioned take place again.
 </p>
 
 <p>
+If you are only interested in logging, consider using <a href="stalking.html">stalking</a> options instead.
+</p>
+
+<p>
 <strong><u>The Power Of Two</u></strong>
 </p>
 
@@ -82,33 +80,27 @@
 <font color="red"><b>In Nagios:</b></font>
 </p>
 
-<p>
 <ul>
 <li>Configure a service called <i>Port Scans</i> and associate it with the host that PortSentry is running on.
 <li>Set the <i>max_check_attempts</i> option in the service definition to 1.  This will tell Nagios to immediate force the service into a <a href="statetypes.html">hard state</a> when a non-OK state is reported.
 <li>Either set the <i>active_checks_enabled</i> option to 0 or set the <i>check_time</i> option in the service definition to a <a href="timeperiods.html">timeperiod</a> that contains <i>no</i> valid time ranges.  Doing either of these will prevent Nagios from ever actively checking the service.  Even though the service check will get scheduled, it will never actually be checked.
 </ul>
-</p>
 
 <p>
 <font color="red"><b>In PortSentry:</b></font>
 </p>
 
-<p>
 <ul>
 <li>Edit your PortSentry configuration file (portsentry.conf), define a command for the <B>KILL_RUN_CMD</b> directive as follows:<br><br>
  <font color="red">KILL_RUN_CMD="/usr/local/Nagios/libexec/eventhandlers/submit_check_result <i>&lt;host_name&gt;</i> 'Port Scans' 2 'Port scan from host $TARGET$ on port $PORT$.  Host has been firewalled.'"</font>
 <br><br>
 Make sure to replace <i>&lt;host_name&gt;</i> with the short name of the host that the service is associated with.
 </ul>
-</p>
 
 <p>
 Create a shell script in the <i>/usr/local/nagios/libexec/eventhandlers</i> directory named <i>submit_check_result</i>.  The contents of the shell script should be something similiar to the following...
 </p>
 
-<p>
-<font size=-1>
 <pre>
 	#!/bin/sh
  
@@ -128,8 +120,6 @@
 	# append the command to the end of the command file
 	`$echocmd $cmdline >> $CommandFile`
 </pre>
-</font> 
-</p>
 
 <p>
 Note that if you are running PortSentry as root, you will have to make additions to the script to reset file ownership and permissions so that Nagios and the CGIs can read/modify the command file.  Details on permissions/ownership of the command file can be found <a href="faqs.html#command_file_permissions">here</a>.
@@ -139,14 +129,12 @@
 So what happens when PortSentry detects a port scan on the machine?
 </p>
 
-<p>
 <ul>
 <li>It blocks the host (this is a function of the PortSentry software)
 <li>It executes the <i>submit_check_result</i> shell script to send the security alert info to Nagios
 <li>Nagios reads the command file, recognized the port scan entry as a passive service check
 <li>Nagios processes the results of the service by logging the CRITICAL state, sending notifications to contacts (if configured to do so), and executes the event handler for the <i>Port Scans</i> service (if one is defined)
 </ul>
-</p>
 
 <hr>
 
